import 'package:ocg_app/ocg_app.dart';

class LoginError {
  static const String NOT_EXISTS = "not_exists";
}

abstract class LoginState {}

class LoginIdleState extends LoginState {}

class LoginLoadingState extends LoginState {
  final String message;

  LoginLoadingState({this.message});
}

class LoginMobileEmptyState extends LoginState {}

class LoginOTPNotVerifiedState extends LoginState {
  final String mobileNumber;

  LoginOTPNotVerifiedState(this.mobileNumber);
}

class LoginSuccessState extends LoginState {
  final AppToken appToken;

  LoginSuccessState(this.appToken);
}

class LoginLoggedOutState extends LoginState {}

class LoginErrorState extends LoginState {
  final String error;

  LoginErrorState(this.error);
}

class LoginNotExistsState extends LoginState {}
