enum LoginType { Google, Facebook, Mobile, Email, Other }

class LoginUser {
  final String uid;
  final Map<String, dynamic> credentials;
  final LoginType type;

  LoginUser(this.uid, this.credentials, this.type);

  LoginUser.named({
    this.uid,
    this.credentials,
    this.type,
  });

  LoginUser copyWith({String uid, Map<String, dynamic> credentials}) =>
      LoginUser.named(
          uid: uid ?? this.uid, credentials: credentials ?? this.credentials);

  static Map<String, dynamic> emailCredentials(
      {String email, String password}) {
    return {"email": email, "password": password};
  }

  static Map<String, dynamic> googleCredentials(
      {String googleId, String name, String email, String photoUrl}) {
    return {
      "googleId": googleId,
      "email": email,
      "name": name,
      "photoUrl": photoUrl
    };
  }

  static Map<String, dynamic> facebookCredentials({
    String facebookId,
    String name,
    String email,
  }) {
    return {"facebookId": facebookId, "email": email, "name": name};
  }

  static Map<String, dynamic> appleCredential({
    String appleId,
    String name,
    String email,
  }) {
    return {"appleId": appleId, "email": email, "name": name};
  }

  static Map<String, dynamic> mobileCredentials({
    String mobile,
  }) {
    return {
      "mobile": mobile,
    };
  }
}
