import 'package:ocg_app/ocg_app.dart';

abstract class LoginRepository {
  Future<AppResponse<AppToken>> createUserWithEmailAndPassword(
      String email, String password);
  Future<AppResponse<AppToken>> signInWithEmailAndPassword(
      String email, String password);
  Future<AppResponse<bool>> sendResetPasswordEmail(String email);
  Future<AppResponse<AppToken>> signWithGoogle();
  Future<AppResponse<AppToken>> signInWithFacebook();
  Future<AppResponse<AppToken>> signInWithApple();
  Future<AppResponse<String>> sendOTP(
    String countryCode,
    String mobileNumber,
  );
  Future<AppResponse<AppToken>> verifyOTP(String mobileNumber, String otp);
  Future<AppResponse<bool>> isLoggedIn();
  Future<AppResponse<AppToken>> getToken();
  Future<AppResponse<bool>> signOut();
}
