import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_login/src/repository/login/base.dart';
import 'package:uuid/uuid.dart';

class LoginTestRepository extends LoginRepository {
  final TokenRepository tokenRepository;

  LoginTestRepository(this.tokenRepository);

  @override
  Future<AppResponse<bool>> isLoggedIn() async {
    try {
      AppResponse<AppToken> response = await tokenRepository.getToken();
      return AppResponse.named(data: response.isSuccess);
    } catch (e) {
      return AppResponse.named(error: "${e.toString()}");
    }
  }

  @override
  Future<AppResponse<String>> sendOTP(String countryCode, String mobileNumber) {
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<AppToken>> verifyOTP(String mobileNumber, String otp) {
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<AppToken>> createUserWithEmailAndPassword(
      String email, String password) async {
    return AppResponse.named(
        data: AppToken.named(
      token: Uuid().v4(),
      userId: Uuid().v4(),
    ));
  }

  @override
  Future<AppResponse<AppToken>> signInWithEmailAndPassword(
      String email, String password) {
    // TODO: implement signInWithEmailAndPassword
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<AppToken>> signInWithFacebook() {
    // TODO: implement signInWithFacebook
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<bool>> signOut() {
    // TODO: implement signOut
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<AppToken>> signWithGoogle() {
    // TODO: implement signWithGoogle
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<AppToken>> signInWithApple() {
    // TODO: implement signInWithApple
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<AppToken>> getToken() {
    // TODO: implement getToken
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<bool>> sendResetPasswordEmail(String email) {
    // TODO: implement sendResetPasswordEmail
    throw UnimplementedError();
  }
}
