import 'package:ocg_app/ocg_app.dart';
import 'package:flutter/material.dart';

class ContinueButton extends StatelessWidget {
  final String title;
  final Function() onPressed;
  final bool showIcon;
  final Color color;
  final Color textColor;

  ContinueButton(
      {Key key,
      @required this.title,
      @required this.onPressed,
      this.showIcon = true,
      this.color = Colors.black,
      this.textColor = Colors.white})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return EaseInWidget(
      onTap: () {
        onPressed();
      },
      child: Container(
        alignment: Alignment.center,
        padding: EdgeInsets.symmetric(vertical: 20, horizontal: 24),
        decoration: BoxDecoration(
            color: color, borderRadius: BorderRadius.circular(12)),
        child: Row(
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Text(
              "$title",
              style: TextStyle(
                  color: textColor, fontSize: 20, fontWeight: FontWeight.w600),
            ),
            !showIcon
                ? Container()
                : SizedBox(
                    width: 21,
                  ),
            !showIcon
                ? Container()
                : Icon(
                    Icons.arrow_forward,
                    size: 22,
                    color: textColor,
                  )
          ],
        ),
      ),
    );
  }
}
